#ifndef TINY_SCI_H
#define TINY_SCI_H

/*!
  \file
  \brief SCI 操作

  \author Satofumi KAMIMURA

  $Id: tiny_sci.h 1111 2009-07-05 21:06:28Z satofumi $
*/

extern void sci_initialize(long baudrate);
extern int sci_setBaudrate(long baudrate);
extern char sci_getch(void);
extern void sci_gets(char *buffer, int len);
extern void sci_flush(void);
extern void sci_putch(char ch);
extern void sci_puts(const char* str);

#endif /*! TINY_SCI_H */
